<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->

<button *ngIf="editIcon" (click)="clicked('edit')" class="tool-icon">
  <fa name="edit"></fa>
</button>
<button *ngIf="readonlyIcon" (click)="clicked('readonly')" class="tool-icon">
  <fa name="eye"></fa>
</button>
<button *ngIf="deleteIcon" (click)="clicked('delete')" class="tool-icon">
  <fa name="trash"></fa>
</button>
<button *ngIf="addIcon" (click)="clicked('add')" class="tool-icon">
  <fa name="plus"></fa>
</button>
<button *ngIf="removeIcon" (click)="clicked('remove')" class="tool-icon">
  <fa name="minus"></fa>
</button>
<div *ngIf="condensedIcon" (click)="clicked('loadCondensedItems')" class="tool-icon">
  <span class="badge badge-primary" id="condensedCount"> {{ params.data.condensedCount }}</span>
</div>
<button *ngIf="postcodeIcon" (click)="clicked('postcode')" class="tool-icon">
  <img src="/assets/images/icons/plz1.png" alt="PLZ Icon" width="20" height="18" />
</button>
